/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增或修改平台账号管理 POST /api/PlatUserAccountSetting/CreateOrEditPlatUserAccountSetting */
export async function createOrEditPlatUserAccountSetting(
  body: API.CreateOrEditPlatUserAccountSettingInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/PlatUserAccountSetting/CreateOrEditPlatUserAccountSetting', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除平台账号 DELETE /api/PlatUserAccountSetting/DeletePlatUserAccountSetting */
export async function deletePlatUserAccountSetting(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeletePlatUserAccountSettingParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/PlatUserAccountSetting/DeletePlatUserAccountSetting', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取平台账号管理详情 GET /api/PlatUserAccountSetting/GetPlatUserAccountSettingInfo */
export async function getPlatUserAccountSettingInfo(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetPlatUserAccountSettingInfoParams,
  options?: API.RequestConfig
) {
  return request<API.PlatUserAccountSettingDto>(
    '/api/PlatUserAccountSetting/GetPlatUserAccountSettingInfo',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取平台账号管理列表 POST /api/PlatUserAccountSetting/GetPlatUserAccountSettingList */
export async function getPlatUserAccountSettingList(
  body: API.PageInput,
  options?: API.RequestConfig
) {
  return request<API.PlatUserAccountSettingDtoPageOutput>(
    '/api/PlatUserAccountSetting/GetPlatUserAccountSettingList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 设置平台账号管理状态 POST /api/PlatUserAccountSetting/SetPlatUserAccountSettingStatus */
export async function setPlatUserAccountSettingStatus(
  body: API.PlatUserAccountStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/PlatUserAccountSetting/SetPlatUserAccountSettingStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
